### Function

# Vips cache_set_max_mem

#### Declaration [src]

    void
    vips_cache_set_max_mem (
      size_t max_mem
    )

#### Description [src]

Set the maximum amount of tracked memory we allow before we start dropping cached operations. See `vips_tracked_get_mem()`.

libvips only tracks memory it allocates, it can’t track memory allocated by external libraries. If you use an operation like `vips_magickload()`, most of the memory it uses won’t be included.

See also

`vips_tracked_get_mem()`.

#### Parameters

`max_mem`

  Type: `size_t`

  Maximum amount of tracked memory we use.